Delete a Deployment
DEL
https://api.vercel.com/v13/deployments/{id}This API allows you to delete a deployment, either by supplying its
id in the URL or the url of the deployment as a query parameter. You can obtain the ID, for example, by listing all deployments.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.deployments.deleteDeployment({ id: "dpl_5WJWYSyB7BpgTj3EuwF37WMRBXBtPQ2iTMJHJBJyRfd", url: "https://files-orcin-xi.vercel.app/", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "state": "DELETED", "uid": "dpl_5WJWYSyB7BpgTj3EuwF37WMRBXBtPQ2iTMJHJBJyRfd"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404The deployment was not found
410Error